Skip to main content
GET
/
customers
/
{id}
Get a customer
curl --request GET \
  --url https://api.bitbybit.studio/customer/open/v1/customers/{id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "id": "<string>",
    "email": "<string>",
    "phoneNumber": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "imageUrl": "<string>",
    "tags": [
      "<string>"
    ],
    "addresses": [
      {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "phone": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "province": "<string>",
        "country": "<string>",
        "zip": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

id
string
required

Response

Successful response

data
object